Skip to main content
GET
/
v1
/
{tenantUUID}
/
market
/
payouts
/
{payoutUuid}
Get single payout
curl --request GET \
  --url https://apigw.ipxo.com/billing/v1/{tenantUUID}/market/payouts/{payoutUuid} \
  --header 'Authorization: Bearer <token>'
{
  "uuid": "string",
  "tenant_uuid": "string",
  "service_uuid": "string",
  "address": "string",
  "cidr": 0,
  "amount": 0,
  "total": 0,
  "lease_count": 0,
  "status": "pending",
  "status_details": "string",
  "method": "string",
  "transaction_id": "string",
  "start": 0,
  "end": 0,
  "status_date": 0,
  "created_at": 0,
  "earnings": [
    {
      "service_uuid": "string",
      "payout_uuid": "string",
      "amount": 0,
      "start": 0,
      "end": 0,
      "created_at": 0
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenantUUID
string
required

UUID

Pattern: ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
payoutUuid
string
required

UUID

Pattern: ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$

Response

Payout

uuid
string<uuid>
tenant_uuid
string<uuid>
service_uuid
string<uuid>
address
string<ipv4>
cidr
integer
amount
number<float>
total
number<float>
lease_count
integer
status
enum<string>
Available options:
pending,
completed,
rejected,
graph
status_details
string
method
string
transaction_id
string
start
integer
end
integer
status_date
integer
created_at
integer
earnings
object[]

list of Service Lease Earnings